/*!
  \file
  \brief 項目のセレクタを移動させて決定を促す選択コンポーネント

  \author Satofumi KAMIMURA

  $Id: SlideSelect.cpp 1940 2011-01-23 22:56:38Z satofumi $
*/

#include "SlideSelect.h"

using namespace qrk;


struct SlideSelect::pImpl
{
};


SlideSelect::SlideSelect(void)
    : pimpl(new pImpl)
{
}


Rect<long> SlideSelect::rect(void) const
{
    // !!!
    Rect<long> dummy;
    return dummy;
}


void SlideSelect::setEventAcceptable(bool acceptable)
{
    (void)acceptable;
    // !!!
}


void SlideSelect::setAlpha(float alpha)
{
    (void)alpha;
    // !!!
}


float SlideSelect::alpha(void)
{
    // !!!
    return 0.0;
}


void SlideSelect::setRotateAngle(const Angle& angle)
{
    (void)angle;
    // !!!
}


void SlideSelect::draw(const Rect<long>& area)
{
    (void)area;
    // !!!
}
